/** 
 * The abstract joogl clock object. 
 * <p>
 * This is the base class for all clocks.  We implement two clocks:  one that
 * advances in real time, and one that goes to whatever time you set it and 
 * stays there.
 *
 * @version 	1.00
 * @author      Blair MacIntyre
 */
public abstract class jooglClock extends jooglObject {
    /** the current time in milliseconds */
    protected long time = 0;
    
    /** the default constructor */
    public jooglClock ()
    {
        super();
    }
    
    /** what is the current time? */
    public abstract long getTime();

    /** set the current time. */
    public abstract long setTime(long t);

    /** is this clock "moving"? */
    public abstract boolean isMoving();
    
    /** Start the clock moving. */
    public abstract long start();
    
    /** Stop the clock from moving. */
    public abstract long stop();
}
