/**
 * The geometry node for a cube.
 *
 * @version 	1.00
 * @author      Blair MacIntyre
 */
public class jooglCube extends jooglGeometry {
    /** The size of the cube. */
    protected double size;
    
    /** Create a cube of a specified size 
     * @param _size the size of the cube
     */
    public jooglCube (double _size)
    {
        super();
        size = _size;
    }
    
    /** Create a cube of the default size, 1.0 units. 
     */
    public jooglCube ()
    {
        super();
        size = 1.0;
    }

    /**
     * Set the size of the cube.
     * 
     * @param _size the new size of the cube.
     */
    public void setSize(double _size)
    {
        size = _size;
        redrawWindows();
    }

    /**
     * Get the size of the cube.
     * 
     * @return the current size of the cube.
     */
    public double getSize()
    {
        return size;
    }
    
    /** Internal function, to recreate the cube display list */
    protected void recreateDisplayList()
    {	
	gl.glNewList(dl, GL_COMPILE);
	glut.glutSolidCube(size);
	gl.glEndList();
    }
}
